## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           xfontsel
Version:        1.1.1
Release:        %autorelease
Summary:        Tool to list X11 core protocol fonts

# The entire source is X11, except the following files that are not installed
# or belong to the build system and therefore do not contribute to the license
# of the binary RPMs…
License:        X11
# FSFAP-no-warranty-disclaimer
#   - INSTALL
# FSFUL AND HPND-sell-variant:
# (HPND-sell-variant is because it is derived from configure.ac)
#   - configure
# FSFULLR:
#   - aclocal.m4
# FSFULLR AND HPND-sell-variant:
#   - Makefile.in
# GPL-2.0-or-later WITH Autotools-exception-generic:
#   - compile
#   - depcomp
#   - missing
# GPL-3.0-or-later WITH Autotools-exception-generic:
#   - config.guess
#   - config.sub
# HPND-sell-variant:
#   - Makefile.am
#   - configure.ac
SourceLicense:  %{shrink:
                %{license} AND
                FSFAP-no-warranty-disclaimer AND
                FSFUL AND
                FSFULLR AND
                GPL-2.0-or-later WITH Autotools-exception-generic AND
                GPL-3.0-or-later WITH Autotools-exception-generic AND
                HPND-sell-variant
                }
URL:            https://www.x.org
Source0:        %{url}/pub/individual/app/xfontsel-%{version}.tar.xz
Source1:        %{url}/pub/individual/app/xfontsel-%{version}.tar.xz.sig
# Keyring created on 2021-02-23 with:
#   workdir="$(mktemp --directory)"
#   gpg2 --with-fingerprint xfontsel-1.0.6.tar.bz2.sig 2>&1 |
#     awk '$2 == "using" { print "0x" $NF }' |
#     xargs gpg2 --homedir="${workdir}" \
#         --keyserver=hkp://pool.sks-keyservers.net --recv-keys
#   gpg2 --homedir="${workdir}" --export --export-options export-minimal \
#       > xfontsel.gpg
#   rm -rf "${workdir}"
# Inspect keys using:
#   gpg2 --list-keys --no-default-keyring --keyring ./xfontsel.gpg
# Since the SKS Keyserver Network is no longer online, you can reproduce by
# substituting:
#   --keyserver=hkps://keys.openpgp.org
Source2:        xfontsel.gpg

BuildRequires:  gnupg2

BuildRequires:  autoconf
BuildRequires:  automake

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  gettext

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

%description
The xfontsel application provides a simple way to display the X11 core protocol
fonts known to your X server, examine samples of each, and retrieve the X
Logical Font Description (“XLFD”) full name for a font.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%conf
autoreconf --force --install --verbose
%configure


%build
%make_build


%install
%make_install


%files
%license COPYING
%doc ChangeLog
%doc README.md
%{_bindir}/xfontsel
%{_mandir}/man1/xfontsel.1*
%{_datadir}/X11/app-defaults/XFontSel


%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-4
- Add a SourceLicense field

* Sun Nov 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-3
- Invoke autoreconf and configure in %%conf rather than in %%build

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-1
- Update to 1.1.1 (close RHBZ#2294797)

* Fri Apr 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.0-9
- Stop Obsoleting xorg-x11-apps, which was gone by Fedora 35

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Feb 10 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.0-5
- Trivial comment fix in License breakdown

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.0-3
- Update License to SPDX

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.0-1
- Update to 1.1.0 (close RHBZ#2105851)

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.6-13
- Add a comment with an alternative to the SKS Keyserver Network

* Thu Sep 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.6-12
- Shorten Source# lines with url macro

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Apr 30 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.6-3
- Adjust whitespace and ordering to personal preference
- Add missing autoconf BR and drop bogus libtool BR
- Add --force to autoreconf
- Drop --disable-silent-rules configure argument, redundant with V=1 in
  make_build macro
- Slightly nicer description
- Install ChangeLog and README
- Add cryptographic source archive verification

* Thu Apr 08 2021 Peter Hutterer <peter.hutterer@redhat.com> - 1.0.6-2
- Fix Obsoletes line to actually obsolete the -30 xorg-x11-apps (#1947245)

* Tue Mar 02 2021 Peter Hutterer <peter.hutterer@redhat.com> 1.0.6-1
- Split xfontsel out from xorg-x11-apps into a separate package (#1933945)

## END: Generated by rpmautospec
